<?php 
/***
	CMS Faethon 2.0
	  
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	See http://support.cmsfaethon.com/license.txt for more info.
	
	$File: articles.php
	$Author: Jakub Slováček
	$Version: 2.1.2
	$Date: 2006/10/14
***/

require('lib/functions_SQL.php');
require('lib/functions_DATE.php');
require('lib/class_templates.php');
require('config.php');
include('lang/'.$cfg['lang'].'.inc');

/*
	FILE NAME AND VARIABLES
*/
if($cfg['url_rewrite'] == 1) {
	if(isset($_GET['column']) && !isset($_GET['subcolumn'])) {
		$file_name = $cfg['server_url'] .'column/'. $_GET['column'];
	}
	elseif(isset($_GET['subcolumn'])) {
		$file_name = $cfg['server_url'] .'column/'. $_GET['column'] .'/'. $_GET['subcolumn'];
	}
	elseif(isset($_GET['by_author'])) {
		$file_name = $cfg['server_url'] .'author/'. $_GET['by_author'] .'/articles';
	}
	else {
		$file_name = $cfg['server_url'] .'articles';
	}
} else {
	if(isset($_GET['column']) && !isset($_GET['subcolumn'])) {
		$variables = '&amp;column='. $_GET['column'];
	}
	elseif(isset($_GET['subcolumn'])) {
		$variables = '&amp;column='. $_GET['column'] .'&amp;subcolumn='. $_GET['subcolumn'];
	}
	elseif(isset($_GET['by_author'])) {
		$variables = '&amp;by_author='. $_GET['by_author'];
	}
}

$title = $lang[articles];
$mainpath = "./";

/*
	Vypis informaci o rubrice
*/
if(!empty($_GET['column']))
{
	$result=sql_query("SELECT id, title FROM ".$SQL_PREFIX."_articles_column WHERE address = '" . $_GET['column'] . "';");
	$column = sql_fetch_object($result);

	$title .= ' - '. $column->title;
	
	if(!empty($_GET['subcolumn']))
	{
		$result=sql_query("SELECT id, title FROM ".$SQL_PREFIX."_articles_subcolumn WHERE address = '" . $_GET['subcolumn'] . "';");
		$subcolumn = sql_fetch_object($result);
		      
		$title .= ' - '. $subcolumn->title;
	}
}
/*
	Vypis informaci o autorovi
*/
elseif(!empty($_GET['by_author']))
{	
	$result=sql_query("SELECT id, name FROM ".$SQL_PREFIX."_authors WHERE item = '" . $_GET['by_author'] . "';");
	$author = sql_fetch_object($result);

	$title .= ' - '. $author->name;
}
/*
	Vypis informaci o serialu
*/
elseif(!empty($_GET['serial']))
{	
	$result=sql_query("SELECT title FROM ".$SQL_PREFIX."_articles_serials WHERE id = '" . $_GET['serial'] . "';");
	$serial = sql_fetch_object($result);

	$title .= ' - '. $serial->title;
}

$template = new Template('ARTICLES');
$template -> AddTag("TITLE", $title);
include('templates/header.php');

/*
	Vytvoreni stromu webu a nadpisu h1
*/
if(!empty($_GET['column'])) 
{
  if(empty($_GET['subcolumn']))
  {
  	$template -> AddTag("TREE", '<a href="./">' . $cfg['server_title'] . '</a> > <a href="articles.php">' . $lang[articles] . '</a> > ' . $column->title);
		
		$main_result=sql_query("SELECT title, address FROM ".$SQL_PREFIX."_articles_subcolumn WHERE over_column = '". $column->id ."' ORDER BY title");
		$total_result=sql_num_rows($main_result);
		if($total_result != 0)
		{
			$subcolumns_list .= ('<ul class="articles-subcolumns"><li><strong>'. $lang[subcolumns] .'</strong></li>');
		
			for($i=0;$i<$total_result;$i++)
			{
				$subcolumns = sql_fetch_object($main_result);
				$subcolumns_list .= ('<li><a href="');
				/* 
					SEO URL
				*/
				if($cfg['url_rewrite'] == 1)
				{
					$subcolumns_list .= ($cfg['server_url'] .'column/'. $_GET['column'] .'/'. $subcolumns->address);
				}
				else
				{
					$subcolumns_list .= ($mainpath .'articles.php?column='. $_GET['column'] .'&amp;subcolumn='. $subcolumns->address);
				}
				
				$subcolumns_list .= ('">'. $subcolumns->title .'</a></li>');
			}
		}
		$subcolumns_list .= ('</ul>');
		$template -> AddTag("SUBCOLUMNS_LIST", $subcolumns_list);
		
		$template -> AddTag("ARTICLES_TITLE", $lang['articles'] . ' - ' . $column->title);
	} else {
  	$template -> AddTag("TREE", '<a href="./">' . $cfg['server_title'] . '</a> > <a href="articles.php">' . $lang[articles] . '</a> > ' . $column->title . ' > '. $subcolumn->title);
		$template -> AddTag("ARTICLES_TITLE", $lang['articles'] . ' - ' . $column->title . ' - '. $subcolumn->title);
	}
	
} 
elseif(!empty($_GET['by_author']))
{
	$template -> AddTag("TREE", '<a href="./">' . $cfg['server_title'] . '</a> > <a href="articles.php">' . $lang[articles] . '</a> > ' . $author->name);
	$template -> AddTag("ARTICLES_TITLE", $lang['articles'] .' - '. $author->name);
} 
elseif (!empty($_GET['from_date']) && !empty($_GET['to_date'])) 
{
	if($_GET['from_date'] == $_GET['to_date'])
	{
		$date_to_tree .= (date('d', strtotime($_GET['from_date'])) . '.');
		$date_to_tree .= (date('m', strtotime($_GET['from_date'])) . '.');
		$date_to_tree .= (date('Y', strtotime($_GET['from_date'])));
		$template -> AddTag("TREE", '<a href="./">' . $cfg['server_title'] . '</a> > <a href="articles.php">' . $lang[articles] . '</a> > '. $date_to_tree);
		
	}
	else
	{
		$date_to_tree .= (date('d', strtotime($_GET['from_date'])) . '.');
		$date_to_tree .= (date('m', strtotime($_GET['from_date'])) . '.');
		$date_to_tree .= (date('Y', strtotime($_GET['from_date'])) . ' - ');
		$date_to_tree .= (date('d', strtotime($_GET['to_date'])) . '.');
		$date_to_tree .= (date('m', strtotime($_GET['to_date'])) . '.');
		$date_to_tree .= (date('Y', strtotime($_GET['to_date'])));
		$template -> AddTag("TREE", '<a href="./">' . $cfg['server_title'] . '</a> > <a href="articles.php">' . $lang[articles] . '</a> > ', $date_to_tree);
	}
	$template -> AddTag("ARTICLES_TITLE", $lang['articles'] .' - '. $date_to_tree);
}
elseif (!empty($_GET[serial]))
{                                      
	$template -> AddTag("TREE", '<a href="./">' . $cfg['server_title'] . '</a> > ' . $lang[articles]);
	$template -> AddTag("ARTICLES_TITLE", $lang[articles] . ' - ' . $serial->title);
}
else
{                                      
	$template -> AddTag("TREE", '<a href="./">' . $cfg['server_title'] . '</a> > ' . $lang[articles]);
	$template -> AddTag("ARTICLES_TITLE", $lang[articles]);
}

$from = $_GET['from'];
$to = $_GET['to'];

if(!isset($from)) $from='0';
if(!isset($to)) $to='10';

/* 
	SQL SELECT 

	podle typu clanku
*/
if(!empty($_GET['type'])) 
{
	$where = "type ='".$_GET['type']."' AND part = '1'";
} 
/*
	podle sub/rubriky
*/
elseif(!empty($_GET['column']))
{
	if(empty($_GET['subcolumn']))
	{
		$where = "column_ = '".$column->id."' AND part = '1'"; 
	}
	else
	{
		$where = "column_ = '".$column->id."' AND sub_column = '".$subcolumn->id."' AND part = '1'";
	}
}
/*
	podle autora
*/
elseif(!empty($_GET['by_author'])) 
{
    $where = "authors LIKE ('%".$author->id.";%') AND part = '1'"; 
} 
/*
	podle datumu
*/
elseif(!empty($_GET['from_date'])) 
{	
	if($_GET['from_date'] == $_GET['to_date']) 
	{
    $where = "date_update >= '".$_GET['from_date']." 00:00:00' AND date_update <= '".$_GET['to_date']." 23:59:59' AND part = '1'";
	} 
	else 
	{	
    $where = "date_update >= '".$_GET['from_date']."' AND date_update <= '".$_GET['to_date']."' AND part = '1'";
	}
}
/*
	podle serialu
*/
elseif(!empty($_GET['serial'])) 
{
	$where = "serial = '".$_GET[serial]."' AND part = '1'"; 
}
/*
	vsechny
*/
else 
{
	$where = "part = '1'";     
}

$main_result=sql_query("SELECT article, title, type, authors, date_pub, date_update, annotation, img, part, column_, item, redir FROM ".$SQL_PREFIX."_articles WHERE ". $where ." AND published = 'yes' ORDER BY date_update DESC");
$total_result=sql_num_rows($main_result);

if($total_result == 0) 
{
	$template -> AddTag("ERROR", '<br />' . $lang[any_articles_not_found]);
}

for($i=0;$i<$from;$i++) { $articles = sql_fetch_object($main_result); }

$template -> AddRow("articles");
for($i=$from;($i<($to)) && ($i<$total_result);$i++) {	
	$articles = sql_fetch_object($main_result);

	$result=sql_query("SELECT title, address FROM ".$SQL_PREFIX."_articles_column WHERE id = '" . $articles->column_ . "';");
	$column = sql_fetch_object($result);
	          
	/* Authors */
	$articles->author = explode(';', $articles->authors);
	for($j=0;$j<(count($articles->author)-1);$j++) 
	{
		$result = sql_query("SELECT name, item FROM ".$SQL_PREFIX."_authors WHERE id = '" . $articles->author[$j] . "';");
		$author = sql_fetch_object($result);
		
		if($j != (count($articles->author)-2)) 
		{
			if($cfg['url_rewrite'] == 1) 
			{
				$article_authors .= '<a href="'. $cfg['server_url'] .'author/'. $author->item .'">'. $author->name .'</a>';
			}
			else 
			{
				$article_authors .= '<a href="'. $cfg['server_url'] .'author.php?name='. $author->item .'">'. $author->name .'</a>, ';
			}
		} 
		else 
		{
			if($cfg['url_rewrite'] == 1) 
			{
				$article_authors .= '<a href="'. $cfg['server_url'] .'author/'. $author->item .'">'. $author->name .'</a>';
			}
			else 
			{
				$article_authors .= '<a href="'. $cfg['server_url'] .'author.php?name='. $author->item .'">'. $author->name .'</a>';
			}
		}
	}
	        
	$result=sql_query("SELECT id FROM ".$SQL_PREFIX."_comments_articles WHERE idw = '" . $articles->article . "';");
	$post['count'] = sql_num_rows($result);
			  
	$result=sql_query("SELECT type FROM ".$SQL_PREFIX."_articles_types WHERE id = '" . $articles->type . "';");
	$row_array = sql_fetch_row($result);
		$type = $row_array[0];
        
	include('lib/comments.php');
	
	if($articles->date_pub != $articles->date_update) {
		$articles->updated = 1;
	}

	$date = $articles->date_pub;
	$date_pub = DateFormat($date);
	$date = $articles->date_update;
	$date_update = DateFormat($date); 
	
	/* Normal articles */
	if(empty($articles->redir)) 
	{
	        
		if(!empty($articles->img)) 
		{ 
			$template -> AddTag("ARTICLE_IMG_P1", '<table class="article-index-table"><tr><td style="width:82px;">
			<img src="data/stories/'.$articles->img.'" alt="'. $articles->title   . '"  width="80" height="80" /></td><td>', "articles");
		}
		        
		/* 
			SEO URL
		*/
		if($cfg['url_rewrite'] == 1) 
		{
			$template -> AddTag("ARTICLE_URL", $cfg['server_url'] .'article/'. $column->address .'/'. $articles->item, "articles");
		} 
		else 
		{
			$template -> AddTag("ARTICLE_URL", $cfg['server_url'] .'article.php?item='. $articles->item, "articles");
		}
		        
		$template -> AddTag("ARTICLE_TITLE", $articles->title, "articles");
		$template -> AddTag("ARTICLE_DATE_PUB", $date_pub, "articles");
		
		if($articles->date_pub != $articles->date_update) 
		{ 
			$template -> AddTag("ARTICLE_DATE_UPDATE", ' <span style="color:#ff0000;font-weight:bold;">'. $lang[updated] .': '. $date_update .'</span>', "articles"); 
		}
		        
		$template -> AddTag("ARTICLE_AUTHORS", ', '. $article_authors, "articles");
		$template -> AddTag("ARTICLE_TYPE", ', '.$type, "articles");
		$template -> AddTag("ARTICLE_COMMENTS", ', <a href="'. $cfg['server_url'] .'comments.php?article='.$articles->article .'">'. $post['count'] . ' ' . $post['name'] .'</a>', "articles");
		
		$template -> AddTag("ARTICLE_ANNOTATION", $articles->annotation, "articles");
		 
		if(!empty($articles->img)) { $template -> AddTag("ARTICLE_IMG_P2", '</td></tr></table>', "articles"); }
	}
	
	/* Redirect articles */
	if(!empty($articles->redir)) 
	{
		if(!empty($articles->img)) 
		{ 
			$template -> AddTag("ARTICLE_IMG_P1", '<table class="article-index-table"><tr><td style="width:82px;">
			<img src="data/stories/'.$articles->img.'" alt="'. $articles->title   . '"  width="80" height="80" /></td><td>', "articles");
		}
		/* 
			SEO URL
		*/
		if($cfg['url_rewrite'] == 1) 
		{
			$template -> AddTag("ARTICLE_URL", $cfg['server_url'] .'redirect/'. $column->address .'/'. $articles->redir, "articles");
		} 
		else 
		{
			$template -> AddTag("ARTICLE_URL", $cfg['server_url'] .'redirect.php?url='. $articles->redir, "articles");
		}
		$template -> AddTag("ARTICLE_TITLE", $articles->title, "articles");
		$template -> AddTag("ARTICLE_DATE_PUB", $date_pub, "articles");
		$template -> AddTag("ARTICLE_DATE_UPDATE", '', "articles");
		$template -> AddTag("ARTICLE_AUTHORS", '', "articles");
		$template -> AddTag("ARTICLE_TYPE", '', "articles");
		$template -> AddTag("ARTICLE_COMMENTS", '', "articles");
		
		$template -> AddTag("ARTICLE_ANNOTATION", $articles->annotation, "articles");
		 
		if(!empty($articles->img)) { $template -> AddTag("ARTICLE_IMG_P2", '</td></tr></table>', "articles"); }
	} 
	unset($article_authors);        
	 	
	$template -> ParseRow("articles");
}
unset($j);
include('includes/listing.php');
$template -> AddTag("LISTING", $listing);

$template -> AddMainTemplate('templates/main.php');
echo($template -> Render());

?>