<?php
/***
	CMS Faethon 2.0
	#subsystem: Avalanche Comments System
	  
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	See http://support.cmsfaethon.com/license.txt for more info.
	
	$File: comments-r.php
	$Author: Jakub Slováček
	$Version: 1.1
	$Date: 2006/07/31
***/

$mainpath="./";
/* nacteni zakladnich knihoven, konfiguracniho a jazykoveho souboru */
require('lib/functions_SQL.php');
require('lib/functions_DATE.php');
require('lib/class_captcha.php');
require('lib/class_templates.php');
require('config.php');
require('lang/'.$cfg['lang'].'.inc');

$template = new Template('COMMENTS-R', false);
include('templates/header.php');

if(isset($_GET['article'])) {
	$suffix = 'articles';
	$for = 'article';
}
elseif(isset($_GET['news'])) {
	$suffix = 'news';
	$for = 'news';
}
elseif(isset($_GET['info'])) {
	$suffix = 'info';
	$for = 'info';
}

/* kontrola a ulozeni noveho prispevku */
if($_POST['sent'] == 'yes') {
	
	if(empty($_POST['author']) || empty($_POST['subject']) ) {
		include($mainpath . 'data/s_header.php');
		
		echo('<h2>'. $cfg['server_title'] .' - '. $lang[new_comment] .'</h2>');
		if(empty($_POST['author'])) { echo($lang[author_is_empty] .'<br />'); }
		if(empty($_POST['subject'])) { echo($lang[subject_is_empty] .'<br />'); }
				
		include($mainpath . 'data/s_footer.php');
		exit;
	}
	if($cfg['captcha'] == 1 && !isset($_SESSION['nickname'])) {
		if (PhpCaptcha::Validate($_POST['user_code'])) {
			//echo 'Valid code entered';
		} else {
			include($mainpath . 'data/s_header.php');
			
			echo('<h2>'. $cfg['server_title'] .' - '. $lang[new_comment] .'</h2>');
			echo('Captcha::Error - Invalid code entered');
			
			include($mainpath . 'data/s_footer.php');
			exit;
		}
	}
	
	$vystup=$_POST['comment'];

    // nahrazeni elementu

	$vystup=eregi_replace("<strong>", "---BOLD BEGIN---", $vystup);
	$vystup=eregi_replace("</strong>", "---BOLD END---", $vystup);
 	$vystup=eregi_replace("<em>", "---ITALIC BEGIN---", $vystup);
 	$vystup=eregi_replace("</em>", "---ITALIC END---", $vystup);
	$vystup=eregi_replace("<u>", "---UNDERLINE BEGIN---", $vystup);
	$vystup=eregi_replace("</u>", "---UNDERLINE END---", $vystup);
	$vystup=HTMLSpecialChars($vystup);
	$vystup=eregi_replace("---BOLD BEGIN---", " <strong> ", $vystup);
	$vystup=eregi_replace("---BOLD END---", " </strong> ", $vystup);
	$vystup=eregi_replace("---ITALIC BEGIN---", " <em> ", $vystup);
	$vystup=eregi_replace("---ITALIC END---", " </em> ", $vystup);
	$vystup=eregi_replace("---UNDERLINE BEGIN---", " <u> ", $vystup);
	$vystup=eregi_replace("---UNDERLINE END---", " </u> ", $vystup);
	$vystup=ereg_replace("
", " <br /> ", $vystup);

	// Tvorba odkazu na www a mail

	$text=Explode(" ", $vystup);

	for ($i=0; $i<Count($text); ++$i) {
		if(eregi("^http://(.+)+$", $text[$i])) {
			$text[$i]="<a href=\"".$text[$i]."\">".$text[$i]."</a>";
		}
		if(eregi("^(.+)@(.+)\\.(.+)$", $text[$i])) {
			$text[$i]='<a href="mailto:'.$text[$i].'">'.$text[$i].'</a>';
		}
	}

	$vystup=Implode(" ", $text);
                          
	if($_POST['sent']=="yes") {

		// Pridani noveho prispevku

		if(isset($_POST['author'])) $author=eregi_replace("\|", "", $_POST['author']);
		if(isset($_POST['email'])) $email=eregi_replace("\|", "", $_POST['email']);
		if(isset($_POST['web'])) $web=eregi_replace("\|", "", $_POST['web']);
		if(isset($_POST['subject'])) $subject=eregi_replace("\|", "", $_POST['subject']);
		if(isset($vystup)) $vystup=eregi_replace("\|", "", $vystup);

		$cas=Date("YmdHis");
		$ip = gethostbyname($REMOTE_ADDR);
		sql_query("INSERT INTO ".$SQL_PREFIX."_comments_".$suffix." (idw,reply,author,email,subject,text,time,ip) VALUES ('" . $_POST['idw'] . "','" . $_GET['reply'] . "','" . $author . "','" . $email . "','" . $subject . "','" . $vystup . "','" . $cas . "', '" . $ip . "');");

		$prispevek=true;
		
		if($_POST['remember'] == 'yes') {
			setcookie("f_comment_author", $author);
    	setcookie("f_comment_email", $email);
		}
		
		header("Location: comments.php?".$for."=".$_GET[$for]); 
    
  }
	
}

if($_GET['reply'] != 0) {
		
	$result=sql_query("SELECT id, reply, author, email, subject, time, text FROM ".$SQL_PREFIX."_comments_".$suffix." WHERE id = '" . $_GET['reply'] . "';");
	$comment = sql_fetch_object($result);
					
	$date = substr($comment->time, 0, 10);
	$time = $comment->time;
	$month = substr($comment->time, 5, 2);		
	
	DateFormat($date);
	TimeFormat($time);
	$day = date('D', strtotime($comment->time));
	NameDay($day);
	NameMonth($month);

	if (isset($_GET['article']))
	{
		$id = $_GET['article'];
	}
	elseif (isset($_GET['news']))
	{
		$id = $_GET['news'];
	}			                 
	$template -> AddTag("DATE", $day .', '. $date .'&nbsp;'. $time);
	$template -> AddTag("COMMENT_ID", $comment->id);
	$template -> AddTag("ARTICLE_ID", $id);
	$template -> AddTag("SUBJECT", $comment->subject);
	$template -> AddTag("AUTHOR", $comment->author);
	$template -> AddTag("LANG_SUBJECT", $lang[comment_subject]);
	$template -> AddTag("LANG_AUTHOR", $lang[comment_author]);
	$template -> AddTag("LANG_EMAIL", $lang[comment_email]);
	$template -> AddTag("LANG_SEND", $lang[send_comment] );
	$template -> AddTag("LANG_REPLY_TO", $lang[reply_at] );
	$template -> AddTag("LANG_TITLE", $lang[comment_title] );
	
	if(!empty($comment->email)) {
		$template -> AddTag("EMAIL", $comment->email . ',&nbsp;');
	}
	$template -> AddTag("IP", $comment->ip);
	$template -> AddTag("TEXT", $comment->text);
	$template -> AddTag("SUFFIX", $for);			
	
if(isset($_SESSION['nickname'])) {
	$user_name = $_SESSION['realname'];
	$user_email = $_SESSION['user_email'];
} else {
	$user_name = $_COOKIE['f_comment_author'];
	$user_email = $_COOKIE['f_comment_email'];
}	
$template -> AddTag("NAME", $user_name);
$template -> AddTag("EMAIL", $user_email);

if($cfg['captcha'] == 1 && !isset($_SESSION['nickname'])) {
	$template -> AddTag("CAPTCHA",'<table>
		<tr>
		<td style="vertical-align: top;"><strong>Verification code: </strong></td><td><img src="'. $cfg['server_url'] .'includes/captcha.php" width="120" height="30" alt="Visual CAPTCHA" /></td>
		<td style="vertical-align: top;padding-left: 20px;"><strong>Insert this code here: </strong><br /><input type="text" name="user_code" value="" /></td>
		</tr>
	</table><br />');
}
if(!isset($_SESSION['nickname'])) { $template -> AddTag("REMEMBER", '<input type="checkbox" name="remember" value="yes" /> '. $lang[store_name_email]); }
}

$template -> AddMainTemplate('templates/main.php');
echo($template -> Render());
?>