<?php
/***
	CMS Faethon 2.0
	  
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	See http://support.cmsfaethon.com/license.txt for more info.
	
	$File: c_template.php
	$Author: Martin Jonas(Matajon)
	$Version: 1.0 RC2
	$Date: 2006/10/1
***/
	class Template
	{
		var $templateFile;
		var $debug = false;
		var $relink;
		var $filetype;
		var $deleteEmptyTags;
		var $tags;
		var $rows;	
		var $rowTags;
		var $rowValues;	
		var $text;
		var $maintemplate;
		
		function Template ($filetype, $relink = true)
		{
			global $cfg;
			$this -> relink = $relink;
			$this -> filetype = $filetype;
			
			//nacteni souboru se seznamem templatu
			$f = file('./templates/'.$cfg['template']);
			$text = implode("", $f);

			//ziskani konkretniho templatu
			$templateFile = eregi("$filetype = ([^;]+);", $text, $arr);
			$this -> templateFile = $arr[1];
			$directory = dirname('./templates/'.$cfg['template'])."/";
			$f2 = file($directory.$arr[1]);

			//uprava cest k css stylum a obrazkum
			$filetext = implode("", $f2);
			if ($relink == true)
			{
				$filetext = preg_replace("/<link([^>]+)href=\"(?!http|ftp)(.+)?\"([^>]+)\/>/", "<link\\1href=\"".$GLOBALS['cfg']['server_url']."$directory\\2\"\\3/>", $filetext);
				$filetext = preg_replace("/<img([^>]+)src=\"(?!http|ftp)(.+)?\"([^>]+)\/>/", "<img\\1src=\"".$GLOBALS['cfg']['server_url'].$directory."\\2\"\\3/>", $filetext);			
			}
			
			if(eregi("MSIE 6", $_SERVER['HTTP_USER_AGENT'])) {
				$browser = "msie6";
			}
			else if(eregi("MSIE 5", $_SERVER['HTTP_USER_AGENT'])) {
				$browser = "msie5";
			}
			else if(eregi("opera\/8", $_SERVER['HTTP_USER_AGENT'])) {
				$browser = "opera8";
			}
			else if(eregi("opera\/9", $_SERVER['HTTP_USER_AGENT'])) {
				$browser = "opera9";
			}
			else if(eregi("gecko", $_SERVER['HTTP_USER_AGENT'])) {
				$browser = "gecko";
			}
			else if(eregi("MSIE 7", $_SERVER['HTTP_USER_AGENT'])) {
				$browser = "msie7";
			}
			else {
				$browser = "other";
			}
			
			$pattern = "/<!-- css begin: (.*".$browser.".*)? -->(.*)?<!-- css end -->/i";
			$replace = "\\2";
			$filetext = preg_replace($pattern, $replace, $filetext);
			
			$pattern = "/<!-- css begin: (.*)? -->(.*)?<!-- css end -->/";
			$replace = "";
			$filetext = preg_replace($pattern, $replace, $filetext);
			
			//ulozeni obsahu template file do verejne promenne tridy Template
			$this -> text = $filetext;
		}
		function AddTag($code, $text, $row = "")
		{
			if ($row == "")
			{
				//pridani polozky do pole nahrazovanych tagu
				$this -> tags[$code] = $text;
			}
			else
			{
				if (array_key_exists($row, $this -> rows))
				{
					//pridani polozky do pole nahrazovanych tagu v "row"
					$this -> rowTags[$row][$code] = $text;
				}
				else
				{
					//chyba
					echo '<b>Danaë script error: </b> undefined row "'.$row.'" in '.$this -> templateFile;
				}
			}			 
		}
		function AddRow($row)
		{
			//kontrola, jestli soubor templatu obsahuje radek $row
			$rowExists = eregi("<!-- row begin: $row -->(.+)<!-- row end: $row -->", $this -> text, $arr);
			if ($rowExists != "")
			{
				//pridani radku do pole
				$this -> rows[$row] = $arr[1];
			}
			else
			{
				//chyba
				echo '<b>Danaë script error: </b> row "'.$row.'" doesn\'t exist in '.$this -> templateFile;	
			}
		}
		function ParseRow($row)
		{
			if (array_key_exists($row, $this -> rows))
			{
				$text = $this -> rows[$row];
				foreach ($this -> rowTags[$row] as $code => $value)
				{			
					$text = str_replace("{".$code."}", $value, $text);			
				}
				$this -> rowValues[$row][] = $text;
				$this -> rowTags[$row] = null;
			}
			else
			{
				echo '<b>Danaë script error: </b> undefined row "'.$row.'" in '.$this -> templateFile;
			}
		}
		function AddMainTemplate($mainTemplateFile)
		{
			include ($mainTemplateFile);

			//vlozeni vysledku maintemplatu do promenne tridy Template
			$this -> maintemplate = $maintemplate -> Render(false);
		}
		function Render($deleteEmptyTags = true)
		{
			//ziskani textu templatu z promenne tridy Template
			$text = $this -> text;
			$this -> deleteEmptyTags = $deleteEmptyTags;
			
			//overeni, jestli je nastaven maintemplate
			if (!empty($this -> maintemplate))
			{
				//nahrazeni polozky {CONTENT} maintemplate, ve kterem je nahrazena polozka {CONTENT} za vysledek templatu
				$text = str_replace("{CONTENT}", $text, $this -> maintemplate);
			}

			if (count($this -> tags) != 0)
			{
				//nahrazeni tagu jejich skutecnymi hodnotami
				foreach ($this -> tags as $code => $value)
				{			
					$text = str_replace("{".$code."}", $value, $text);			
				}
			}
			if (count($this -> rows) != 0)
			{
				//prochazeni pole vsech radku
				foreach ($this -> rows as $name => $value)
				{
					//nahrazeni tagu v radku jejich skutecnymi hodnotami
					$rowText = "";
					if (count($this -> rowValues[$name]) != 0)
					{
						foreach ($this -> rowValues[$name] as $string)
						{
							$rowText .= $string;
						}
					}
					$text = eregi_replace("<!-- row begin: $name -->(.+)<!-- row end: $name -->", $rowText, $text);
				}
			}
			//smazani vsech nenahrazenych templatu
			if ($deleteEmptyTags == true)
			{
				$text = eregi_replace("{([^{}]+)}", "", $text);
			}
			
			//ulozeni informaci z cele tridy do .log souboru, pokud se "debug" = true;
			if ($this -> debug == true)
			{
				ob_start();
					var_dump($this);
					$var = ob_get_contents();
				ob_end_clean();
				$file = fopen("danae_debug.log", "w");
				fwrite($file, $var);
				fclose($file);
				return "";
			}
			return $text;		
		}
	}
?>